# List or search AI conversations for the current user

> Source: https://docs.clonepartner.com/api-reference/ai/list-ai-conversations/

`GET /api/ai/conversations`

List or search AI conversations for the current user

**Operation ID:** `listAiConversations`

## Authentication

### Option 1

- **BearerAuth** (`http bearer`)
  API key token. Create via POST /api/api-keys. Format: `envoy_<hex>`

### Option 2

- **CookieAuth** (`apiKey`)
  Session cookie set after login + TOTP verification

## Query parameters

- `q` — `string`
  BM25 search over conversation content

## Success responses

### 200

Paginated conversations


## Examples

### cURL

```bash
curl --request GET \
  --url 'https://your-envoy.example.com/api/ai/conversations' \
  --header 'Authorization: Bearer $API_KEY'
```

### JavaScript (fetch)

```javascript
const response = await fetch('https://your-envoy.example.com/api/ai/conversations', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
  },
});

if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);
```
